org.richfaces.component.html

## Class HtmlToolTip

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.richfaces.component.UIToolTip
        - - org.richfaces.component.html.HtmlToolTip

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder

      public class HtmlToolTip
      extends UIToolTip

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIToolTip

      `CONTENT_FACET_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlToolTip()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDirection()`
    `java.lang.String` | `getEvent()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()`
    `int` | `getHideDelay()`
    `java.lang.String` | `getHideEvent()`
    `int` | `getHorizontalOffset()`
    `java.lang.String` | `getLayout()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnhide()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOnshow()`
    `int` | `getShowDelay()`
    `java.lang.String` | `getShowEvent()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getVerticalOffset()`
    `int` | `getZorder()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isAttached()`
    `boolean` | `isDisabled()`
    `boolean` | `isFollowMouse()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setAttached(boolean _attached)`
    `void` | `setDirection(java.lang.String _direction)`
    `void` | `setDisabled(boolean _disabled)`
    `void` | `setEvent(java.lang.String _event)`
    `void` | `setFollowMouse(boolean _followMouse)`
    `void` | `setFor(java.lang.String _for)`
    `void` | `setHideDelay(int _hideDelay)`
    `void` | `setHideEvent(java.lang.String _hideEvent)`
    `void` | `setHorizontalOffset(int _horizontalOffset)`
    `void` | `setLayout(java.lang.String _layout)`
    `void` | `setMode(java.lang.String _mode)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnhide(java.lang.String _onhide)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOnshow(java.lang.String _onshow)`
    `void` | `setShowDelay(int _showDelay)`
    `void` | `setShowEvent(java.lang.String _showEvent)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setVerticalOffset(int _verticalOffset)`
    `void` | `setZorder(int _zorder)`

    - ### Methods inherited from class org.richfaces.component.UIToolTip

      `broadcast, encodeAjaxChild, getChildrenRenderer, getUsedElementType`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlToolTip

          public HtmlToolTip()

  - ### Method Detail

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### isAttached

          public boolean isAttached()

      Specified by:
        `isAttached` in class `UIToolTip`

    - #### setAttached

          public void setAttached(boolean _attached)

      Specified by:
        `setAttached` in class `UIToolTip`

    - #### getDirection

          public java.lang.String getDirection()

      Specified by:
        `getDirection` in class `UIToolTip`

    - #### setDirection

          public void setDirection(java.lang.String _direction)

      Specified by:
        `setDirection` in class `UIToolTip`

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in class `UIToolTip`

    - #### setDisabled

          public void setDisabled(boolean _disabled)

      Specified by:
        `setDisabled` in class `UIToolTip`

    - #### getEvent

          public java.lang.String getEvent()

    - #### setEvent

          public void setEvent(java.lang.String _event)

    - #### isFollowMouse

          public boolean isFollowMouse()

      Specified by:
        `isFollowMouse` in class `UIToolTip`

    - #### setFollowMouse

          public void setFollowMouse(boolean _followMouse)

      Specified by:
        `setFollowMouse` in class `UIToolTip`

    - #### getFor

          public java.lang.String getFor()

      Specified by:
        `getFor` in class `UIToolTip`

    - #### setFor

          public void setFor(java.lang.String _for)

      Specified by:
        `setFor` in class `UIToolTip`

    - #### getHideDelay

          public int getHideDelay()

      Specified by:
        `getHideDelay` in class `UIToolTip`

    - #### setHideDelay

          public void setHideDelay(int _hideDelay)

      Specified by:
        `setHideDelay` in class `UIToolTip`

    - #### getHideEvent

          public java.lang.String getHideEvent()

      Specified by:
        `getHideEvent` in class `UIToolTip`

    - #### setHideEvent

          public void setHideEvent(java.lang.String _hideEvent)

      Specified by:
        `setHideEvent` in class `UIToolTip`

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Specified by:
        `getHorizontalOffset` in class `UIToolTip`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int _horizontalOffset)

      Specified by:
        `setHorizontalOffset` in class `UIToolTip`

    - #### getLayout

          public java.lang.String getLayout()

      Specified by:
        `getLayout` in class `UIToolTip`

    - #### setLayout

          public void setLayout(java.lang.String _layout)

      Specified by:
        `setLayout` in class `UIToolTip`

    - #### getMode

          public java.lang.String getMode()

      Specified by:
        `getMode` in class `UIToolTip`

    - #### setMode

          public void setMode(java.lang.String _mode)

      Specified by:
        `setMode` in class `UIToolTip`

    - #### getOnclick

          public java.lang.String getOnclick()

      Specified by:
        `getOnclick` in class `UIToolTip`

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

      Specified by:
        `setOnclick` in class `UIToolTip`

    - #### getOncomplete

          public java.lang.String getOncomplete()

      Specified by:
        `getOncomplete` in class `UIToolTip`

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

      Specified by:
        `setOncomplete` in class `UIToolTip`

    - #### getOndblclick

          public java.lang.String getOndblclick()

      Specified by:
        `getOndblclick` in class `UIToolTip`

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

      Specified by:
        `setOndblclick` in class `UIToolTip`

    - #### getOnhide

          public java.lang.String getOnhide()

      Specified by:
        `getOnhide` in class `UIToolTip`

    - #### setOnhide

          public void setOnhide(java.lang.String _onhide)

      Specified by:
        `setOnhide` in class `UIToolTip`

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `UIToolTip`

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

      Specified by:
        `setOnmousemove` in class `UIToolTip`

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `UIToolTip`

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

      Specified by:
        `setOnmouseout` in class `UIToolTip`

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `UIToolTip`

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

      Specified by:
        `setOnmouseover` in class `UIToolTip`

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOnshow

          public java.lang.String getOnshow()

      Specified by:
        `getOnshow` in class `UIToolTip`

    - #### setOnshow

          public void setOnshow(java.lang.String _onshow)

      Specified by:
        `setOnshow` in class `UIToolTip`

    - #### getShowDelay

          public int getShowDelay()

      Specified by:
        `getShowDelay` in class `UIToolTip`

    - #### setShowDelay

          public void setShowDelay(int _showDelay)

      Specified by:
        `setShowDelay` in class `UIToolTip`

    - #### getShowEvent

          public java.lang.String getShowEvent()

      Specified by:
        `getShowEvent` in class `UIToolTip`

    - #### setShowEvent

          public void setShowEvent(java.lang.String _showEvent)

      Specified by:
        `setShowEvent` in class `UIToolTip`

    - #### getStyle

          public java.lang.String getStyle()

      Specified by:
        `getStyle` in class `UIToolTip`

    - #### setStyle

          public void setStyle(java.lang.String _style)

      Specified by:
        `setStyle` in class `UIToolTip`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Specified by:
        `getStyleClass` in class `UIToolTip`

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

      Specified by:
        `setStyleClass` in class `UIToolTip`

    - #### getVerticalOffset

          public int getVerticalOffset()

      Specified by:
        `getVerticalOffset` in class `UIToolTip`

    - #### setVerticalOffset

          public void setVerticalOffset(int _verticalOffset)

      Specified by:
        `setVerticalOffset` in class `UIToolTip`

    - #### getZorder

          public int getZorder()

      Specified by:
        `getZorder` in class `UIToolTip`

    - #### setZorder

          public void setZorder(int _zorder)

      Specified by:
        `setZorder` in class `UIToolTip`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UICommand`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UICommand`

Copyright © 2013. All Rights Reserved.